Last modified: 2014-11-13 19:04:35 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 33126 - (ve-rtl) VisualEditor: Support for right-to-left (rtl) / bidirectional content (tracking)
(ve-rtl)
VisualEditor: Support for right-to-left (rtl) / bidirectional content (tracking)
Status: ASSIGNED
Product: VisualEditor
Classification: Unclassified
Language (Other open bugs)
unspecified
All All
: Normal normal
: ---
Assigned To: Editing team bugs – take if you're interested!
: i18n, tracking
: 47814 (view as bug list)
Depends on: 41009 51852 53544 60187 63593 69969 72668 33079 33175 38545 38546 38547 38548 47717 47746 47759 47814 48912 49416 49546 49613 50436 50490 50543 50905 50910 51295 51401 51490 51819 51828 51851 51978 53161 53503 53515 53542 56779 56780 64872 65483 66037 68688 69165 72673 73378 73379
Blocks: rtl tracking ve-multi-lingual ve-nonenglish ve-tracking
  Show dependency treegraph
 
Reported: 2011-12-14 19:28 UTC by Amir E. Aharoni
Modified: 2014-11-13 19:04 UTC (History)
13 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2011-12-14 19:28:46 UTC
Tracking bug.

Draft requirements:
https://www.mediawiki.org/wiki/Visual_editor/Bidirectional_text_requirements

Feel free to comment on them and edit them.
Comment 1 James Forrester 2012-06-22 22:06:23 UTC
Mass-moving items into VisualEditor product
Comment 2 James Forrester 2012-06-23 01:36:22 UTC
Mass-move out of "General" to "ContentEditable".
Comment 3 Amir E. Aharoni 2012-07-21 11:01:39 UTC
Adding "RTL, bidi" to the title, to make it easier to find.
Comment 4 Andre Klapper 2013-04-29 09:44:22 UTC
*** Bug 47814 has been marked as a duplicate of this bug. ***
Comment 5 Quim Gil 2013-04-29 20:41:31 UTC
*** Bug 47814 has been marked as a duplicate of this bug. ***
Comment 6 Moriel Schottlender 2013-04-29 21:13:01 UTC
Submitted an application for GSoC2013 to resolve this. More information available here: http://www.mediawiki.org/wiki/User:Mooeypoo/GSOC_2013_Proposal:_RTL_Support_in_VisualEditor

(Apologies for the bug submission mixup!)
Comment 7 John Mark Vandenberg 2013-07-22 04:37:02 UTC
Deployment to logged in users of Hebrew Wikipedia is in two days.
https://meta.wikimedia.org/wiki/Tech/News/2013/30
Comment 8 Quim Gil 2013-09-17 16:18:14 UTC
GSoC "soft pencils down" date was yesterday and all coding must stop on 23 September. Has this project been completed?
Comment 9 Amir E. Aharoni 2013-09-22 03:14:23 UTC
(In reply to comment #8)
> GSoC "soft pencils down" date was yesterday and all coding must stop on 23
> September. Has this project been completed?

Moriel should be writing a detailed summary now, but in short:

* All the blocking RTL bugs, which prevented the deployment of VE in RTL language Wikipedias were resolved and the code was merged and deployed. VE is enabled in the Hebrew Wikipedia, and it's quite usable there thanks to this project.

* A language selector (or "inspector" in the VE jargon) was developed according to the spec in the bidi text requirements cited above ( https://www.mediawiki.org/wiki/Visual_editor/Bidirectional_text_requirements ). It is deployed as an experimental feature in mediawiki.org, and hopefully will be deployed in other projects soon.

* RTL-compatible TemplateData editor (bug 50436) was developed as a gadget by Moriel, and it is already used in the Hebrew Wikipedia. The same code is also committed as a proper extension in https://gerrit.wikimedia.org/r/#/c/85400/ . This should be review Some Time Soon, to allow proper localization and deployment in all sites.

There will always be more RTL bugs in VisualEditor and in the rest of the Wikimedia software, so this tracker bug must not be closed. But this GSoC project definitely achieved its goal. Big, big thanks to Moriel, and to the VisualEditor team people who helped her do this - Inez, James, Roan, Krinkle, Trevor and all the rest.
Comment 10 Quim Gil 2013-10-22 19:36:52 UTC
If you have open tasks or bugs left, one possibility is to list them at https://www.mediawiki.org/wiki/Google_Code-In and volunteer yourself as mentor.

We have heard from Google and free software projects participating in Code-in that students participating in this programs have done a great work finishing and polishing GSoC projects, many times mentores by the former GSoC student. The key is to be able to split the pending work in little tasks.

More information in the wiki page. If you have questions you can ask there or you can contact me directly.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links